:- dlib_require(socket).
test:-
	% サーバーへHTTP接続を行う
	host2ip('www.az-prolog.com',GH,AH,IP),
	client_connect(IP,'80',S),

	% GETリクエストを作成する
    P1='GET /sample.pdf HTTP/1.1',
    name(C,[10]),
    atom_concat(P1,C,P2),
    atom_concat(P2,'Host: ',P3),
    atom_concat(P3,IP,P4),
    atom_concat(P4,C,P5),
    atom_concat(P5,'Connection: Close',P6),
    atom_concat(P6,C,P7),
    atom_concat(P7,C,Get),

	% サーバーへGET命令を送信し、PDFファイルをダウンロードする
	s_sleep(2000), % For Test
    socket_send(S,Get),
	socket_download(S, 'sample.pdf'),

	% サーバーの切断を行う
    socket_close(S).

